﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Microsoft.Phone.Controls;

namespace PhoneToolkitSamplesSeptember10
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void MenuGrayTextClick(object sender, RoutedEventArgs e)
        {
            MenuTextBlock.Foreground = new SolidColorBrush(Colors.Gray);
        }

        private void MenuNormalTextClick(object sender, RoutedEventArgs e)
        {
            MenuTextBlock.ClearValue(TextBlock.ForegroundProperty);
        }

        private void DatePickerValueChanged(object sender, DateTimeValueChangedEventArgs e)
        {
            if (null != DatePickerTextBlock)
            {
                DatePickerTextBlock.Text = e.NewDateTime.Value.ToLongDateString();
            }
        }

        private void TimePickerValueChanged(object sender, DateTimeValueChangedEventArgs e)
        {
            if (null != TimePickerTextBlock)
            {
                TimePickerTextBlock.Text = e.NewDateTime.Value.ToLongTimeString();
            }
        }

        private void ToggleSwitchChanged(object sender, RoutedEventArgs e)
        {
            var toggleSwitch = (ToggleSwitch)sender;
            ToggleSwitchTextBlock.Text = (string)toggleSwitch.Header + ": " + toggleSwitch.IsChecked;
        }

        private void GestureListenerTap(object sender, GestureEventArgs e)
        {
            GestureTextBlock.Text = "Tap";
        }

        private void GestureListenerDoubleTap(object sender, GestureEventArgs e)
        {
            GestureTextBlock.Text = "DoubleTap";
        }

        private void GestureListenerHold(object sender, GestureEventArgs e)
        {
            GestureTextBlock.Text = "Hold";
        }

        private void GestureListenerFlick(object sender, FlickGestureEventArgs e)
        {
            GestureTextBlock.Text = "Flick";
        }

        private void GestureListenerDragStarted(object sender, DragStartedGestureEventArgs e)
        {
            GestureTextBlock.Text = "DragStarted";
        }

        private void GestureListenerDragDelta(object sender, DragDeltaGestureEventArgs e)
        {
            GestureTextBlock.Text = "DragDelta";
        }

        private void GestureListenerDragCompleted(object sender, DragCompletedGestureEventArgs e)
        {
            GestureTextBlock.Text = "DragCompleted";
        }

        private void GestureListenerPinchStarted(object sender, PinchStartedGestureEventArgs e)
        {
            GestureTextBlock.Text = "PinchStarted";
        }

        private void GestureListenerPinchDelta(object sender, PinchGestureEventArgs e)
        {
            GestureTextBlock.Text = "PinchDelta";
        }

        private void GestureListenerPinchCompleted(object sender, PinchGestureEventArgs e)
        {
            GestureTextBlock.Text = "PinchCompleted";
        }
    }
}
